"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onError = void 0;
const on_errorify_1 = require("./on-errorify");
function onError(config) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, on_errorify_1.onErrorify)(descriptor.value, config);
            return descriptor;
        }
        throw new Error('@onError is applicable only on a methods.');
    };
}
exports.onError = onError;
//# sourceMappingURL=on-error.js.map