"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.retry = void 0;
const retryfy_1 = require("./retryfy");
function retry(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, retryfy_1.retryfy)(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@retry is applicable only on a methods.');
    };
}
exports.retry = retry;
//# sourceMappingURL=retry.js.map