export declare type Method<D, A extends Array<any> = any[]> = (...args: A) => D;
export declare type AsyncMethod<D, A extends Array<any> = any[]> = (...args: A) => Promise<D>;
export declare type UnboxPromise<T extends Promise<any>> = T extends Promise<infer U> ? U : never;
export declare type Decorator<T> = (target: T, propertyName: keyof T, descriptor: TypedPropertyDescriptor<Method<any>>) => TypedPropertyDescriptor<Method<any>>;
