import { delegatify } from './delegatify';
export function delegate(keyResolver) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = delegatify(descriptor.value, keyResolver);
            return descriptor;
        }
        throw new Error('@delegate is applicable only on a methods.');
    };
}
//# sourceMappingURL=delegate.js.map