import { multiDispatchify } from './multi-dispatchify';
export function multiDispatch(dispatchesAmount) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = multiDispatchify(descriptor.value, dispatchesAmount);
            return descriptor;
        }
        throw new Error('@multiDispatch is applicable only on a methods.');
    };
}
//# sourceMappingURL=multi-dispatch.js.map