import { retryfy } from './retryfy';
export function retry(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = retryfy(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@retry is applicable only on a methods.');
    };
}
//# sourceMappingURL=retry.js.map