import { ThrottleAsyncExecutor } from './throttle-async-executor';
export function throttleAsyncify(originalMethod, parallelCalls = 1) {
    const executor = new ThrottleAsyncExecutor(originalMethod, parallelCalls);
    return function (...args) {
        return executor.exec(this, args);
    };
}
//# sourceMappingURL=throttle-asyncify.js.map