"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cancelPrevious = void 0;
const cancel_previousify_1 = require("./cancel-previousify");
function cancelPrevious() {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, cancel_previousify_1.cancelPreviousify)(descriptor.value);
            return descriptor;
        }
        throw new Error('@cancelPrevious is applicable only on a methods.');
    };
}
exports.cancelPrevious = cancelPrevious;
//# sourceMappingURL=cancel-previous.js.map