"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delayfy = void 0;
function delayfy(originalMethod, delayMs) {
    return function (...args) {
        setTimeout(() => {
            originalMethod.apply(this, args);
        }, delayMs);
    };
}
exports.delayfy = delayfy;
//# sourceMappingURL=delayfy.js.map