"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execTime = void 0;
const exec_timify_1 = require("./exec-timify");
function execTime(arg) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, exec_timify_1.execTimify)(descriptor.value, arg);
            return descriptor;
        }
        throw new Error('@execTime is applicable only on a methods.');
    };
}
exports.execTime = execTime;
//# sourceMappingURL=exec-time.js.map