import { timeoutify } from './timeoutify';
export function timeout(ms) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = timeoutify(descriptor.value, ms);
            return descriptor;
        }
        throw new Error('@timeout is applicable only on a methods.');
    };
}
//# sourceMappingURL=timeout.js.map